/***************************************************************************
                          pvtcl.h  -  description
                             -------------------
    begin                : Mon Jun 10 2002
    copyright            : (C) 2002 by Rainer Lehrig
    email                : lehrig@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PV_VTK_TCL_WIDGET_H
#define PV_VTK_TCL_WIDGET_H

#ifndef __VMS
  #ifndef NO_VTK
    #define USE_VTK
  #endif
#endif

#ifdef USE_VTK

#include "vtkQGLWidget.h"
#include "vtkRenderWindow.h"
#include "vtkRenderWindowInteractor.h"
#include "vtkTclUtil.h"
#include "tcl.h"

/**
  *@author Rainer Lehrig
  */

class pvVtkTclWidget : public vtkQGLWidget
{
  Q_OBJECT
public: 
  pvVtkTclWidget(QWidget *parent=0, const char *name=0, int id=-1, int *s=NULL);
  ~pvVtkTclWidget();
  void interpret(const char *command, ...);
  void interpretFile(const char *filename);

  Tcl_Interp        *interp;
  vtkTclCommand     *tclcommand;
  vtkRenderer       *renderer;

private:
  int id; // id of widget
  int *s;  // socket
};

#endif
#endif
